from django.shortcuts import render, get_object_or_404
from django.views import View
from .models import Site

class MainView(View):
  def get(self,request):
    site = get_object_or_404(Site,domain=request.META["HTTP_HOST"])
    return render(request,"index.html", {
      "content": site.base_page.content
    })